<div id="fooevents_integration" class="panel woocommerce_options_panel fooevents-settings">
    <div class="options_group">
        <h2><b><?php _e('Zoom Meetings and Webinars', 'woocommerce-events'); ?></b></h2>
        <p class="form-field">
            <label><?php _e('Attendee details', 'woocommerce-events'); ?></label>
            <?php _e('Note: Meeting and webinar registration requires attendee details to be captured at checkout.','woocommerce-events'); ?>
            <br/>
            <span id="fooevents_enable_attendee_details_note">
                <span id="fooevents_capture_attendee_details_enabled" <?php if ( empty($WooCommerceEventsCaptureAttendeeDetails) || $WooCommerceEventsCaptureAttendeeDetails == 'off' ) : ?>style="display:none;"<?php endif; ?>>
                    <mark class="yes fooevents-zoom-test-access-result" style="padding:0;"><span class="dashicons dashicons-yes"></span> <?php _e('Capture attendee details is currently enabled', 'woocommerce-events'); ?></mark>
                </span>
                <span id="fooevents_capture_attendee_details_disabled" <?php if ( !empty($WooCommerceEventsCaptureAttendeeDetails) && $WooCommerceEventsCaptureAttendeeDetails == 'on' ) : ?>style="display:none;"<?php endif; ?>>
                    <mark class="error fooevents-zoom-test-access-result" style="padding:0;"><span class="dashicons dashicons-warning"></span> <?php _e('Capture attendee details is currently disabled', 'woocommerce-events'); ?></mark>
                    <br/>
                    <a href="javascript:enableCaptureAttendeeDetails();"><?php _e('Enable attendee detail capture option', 'woocommerce-events'); ?></a>
                </span>
            </span>
        </p>
        <p class="form-field">
            <label><?php _e('Automatically generate', 'woocommerce-events'); ?></label>
            <label class="fooevents-options-inner-label"><input type="radio" name="WooCommerceEventsZoomType" value="meetings" <?php echo (empty($WooCommerceEventsZoomType) || $WooCommerceEventsZoomType == 'meetings')? 'CHECKED' : ''; ?>> <?php _e('Meetings', 'woocommerce-events'); ?></label>
            <br/>
            <label class="fooevents-options-inner-label"><input type="radio" name="WooCommerceEventsZoomType" value="webinars" <?php echo (!empty($WooCommerceEventsZoomType) && $WooCommerceEventsZoomType == 'webinars')? 'CHECKED' : ''; ?>> <?php _e('Webinars', 'woocommerce-events'); ?></label>
            <a href="https://zoom.us/webinar" target="_BLANK"><img src="<?php echo plugins_url(); ?>/woocommerce/assets/images/help.png" class="help_tip" data-tip="<?php _e("Requires the Zoom Video Webinars service to be purchased in your Zoom account." , 'woocommerce-events'); ?>" height="16" width="16" /></a>
        </p>
        <p class="form-field">
            <label><?php _e('Select meeting/webinar host', 'woocommerce-events'); ?></label>
            <span id="globalWooCommerceEventsZoomUsersContainer">
                <select name="WooCommerceEventsZoomHost" id="WooCommerceEventsZoomHost" class="fooevents-search-list">
                    <option value="">(<?php _e('Not set', 'woocommerce-events'); ?>)</option>
                    <?php if ( !empty($globalWooCommerceEventsZoomUsers) ) : 
                        foreach ( $globalWooCommerceEventsZoomUsers as $user ) {
                    ?>
                            <option value="<?php echo $user['id']; ?>" <?php echo (!empty($WooCommerceEventsZoomHost) && $WooCommerceEventsZoomHost == $user['id']) ? 'SELECTED' : ''; ?>><?php echo $user['first_name'] . ' ' . $user['last_name'] . ' - ' . $user['email']; ?></option>
                    <?php
                        }
                    endif; ?>
                </select>
            </span>
            <img src="<?php echo plugins_url(); ?>/woocommerce/assets/images/help.png" class="help_tip" data-tip="<?php _e("Select the host of Zoom meetings/webinars that get generated automatically." , 'woocommerce-events'); ?>" height="16" width="16" />
            <br/>
            <input id="fooevents_zoom_reload_users" type="button" value="<?php _e('Fetch Users', 'woocommerce-events'); ?>" class="button button-secondary fooevents-zoom-integration-button">
        </p>
        <p class="form-field">
            <label><?php _e('Current event type', 'woocommerce-events'); ?></label>        
            <span id="fooevents_zoom_current_event_type"></span>
        </p>
        <p class="form-field">
            <label><?php _e('Zoom integration type', 'woocommerce-events'); ?></label>
            <span class="fooevents-zoom-integration-type-container">
                <span class="zoom-single zoom-sequential zoom-seating">
                    <label class="fooevents-options-inner-label"><input type="radio" name="WooCommerceEventsZoomMultiOption" value="single" <?php echo (empty($WooCommerceEventsZoomMultiOption) || $WooCommerceEventsZoomMultiOption == 'single')? 'CHECKED' : ''; ?>> <?php _e('Single meeting/webinar for this event', 'woocommerce-events'); ?></label>
                    <img class="help_tip" data-tip="<?php _e("Select or automatically generate a Zoom meeting/webinar for this event which attendees will automatically be registered for when purchasing an event ticket." , 'woocommerce-events'); ?>" src="<?php echo plugins_url(); ?>/woocommerce/assets/images/help.png" height="16" width="16" />
                    <br/>
                </span>
                <span class="zoom-sequential zoom-select">
                    <label class="fooevents-options-inner-label"><input type="radio" name="WooCommerceEventsZoomMultiOption" value="multi" <?php echo (!empty($WooCommerceEventsZoomMultiOption) && $WooCommerceEventsZoomMultiOption == 'multi')? 'CHECKED' : ''; ?> <?php echo $multi_day_enabled == true ? '' : 'DISABLED'; ?>> <?php _e('Separate meeting/webinar for each day', 'woocommerce-events'); ?></label>
                    <a href="https://www.fooevents.com/products/fooevents-multi-day/" target="_BLANK"><img src="<?php echo plugins_url(); ?>/woocommerce/assets/images/help.png" class="help_tip" data-tip="<?php _e("Select or automatically generate a Zoom meeting/webinar for each day of this multi-day event which attendees will automatically be registered for when purchasing an event ticket. Note: Requires the FooEvents Multi-day plugin." , 'woocommerce-events'); ?>" height="16" width="16" /></a>
                    <br/>
                </span>
                <span class="zoom-bookings">
                    <label class="fooevents-options-inner-label"><input type="radio" name="WooCommerceEventsZoomMultiOption" value="bookings" <?php echo (!empty($WooCommerceEventsZoomMultiOption) && $WooCommerceEventsZoomMultiOption == 'bookings')? 'CHECKED' : ''; ?> <?php echo $bookings_enabled == true ? '' : 'DISABLED'; ?>> <?php _e('Separate meeting/webinar for each booking slot', 'woocommerce-events'); ?></label>
                    <a href="https://www.fooevents.com/products/fooevents-bookings/" target="_BLANK"><img src="<?php echo plugins_url(); ?>/woocommerce/assets/images/help.png" class="help_tip" data-tip="<?php _e("Select or automatically generate a Zoom meeting/webinar for each date/time slot of the bookable event which attendees will automatically be registered for when purchasing an event ticket. Note: Requires the FooEvents Bookings plugin.", 'woocommerce-events'); ?>" height="16" width="16" /></a>
                </span>
            </span>
        </p>
        <div id ="fooevents_zoom_meeting_single" class="options_group zoom-integration-type-container">
            <p class="form-field">
                <label><?php _e('Link the event to this meeting/webinar:', 'woocommerce-events'); ?></label>
                <select name="WooCommerceEventsZoomWebinar" id="WooCommerceEventsZoomWebinar" class="WooCommerceEventsZoomSelect fooevents-search-list">
                    <option value="">(<?php _e('Not set', 'woocommerce-events'); ?>)</option>
                    <option value="auto">(<?php _e('Auto-generate', 'woocommerce-events'); ?>)</option>
                    <?php if($zoomWebinars['status'] == 'success' && !empty($zoomWebinars['data']['webinars'])) : ?>
                        <optgroup label="<?php _e('Webinars', 'woocommerce-events'); ?>">
                        <?php foreach($zoomWebinars['data']['webinars'] as $zoomWebinar) :?>
                            <option value="<?php echo $zoomWebinar['id']; ?>" data-zoom-type="<?php echo $zoomWebinar['type']; ?>" <?php echo (str_replace('_webinars', '', $WooCommerceEventsZoomWebinar) == str_replace('_webinars', '', $zoomWebinar['id']))? 'SELECTED' : '' ?>><?php echo $zoomWebinars['user_count'] > 1 ? $zoomWebinar['host']['first_name'] . ' ' . $zoomWebinar['host']['last_name'] . ' - ' : ''; ?><?php echo $zoomWebinar['topic']; ?> - <?php echo (!empty($zoomWebinar['start_date_display']) && !empty($zoomWebinar['start_time_display'])) ? $zoomWebinar['start_date_display'] . ' ' . $zoomWebinar['start_time_display'] : __('No fixed time', 'woocommerce-events'); ?></option>
                        <?php endforeach; ?>
                        </optgroup>
                    <?php endif; ?>
                    <?php if($zoomMeetings['status'] == 'success' && !empty($zoomMeetings['data']['meetings'])) : ?>
                        <optgroup label="<?php _e('Meetings', 'woocommerce-events'); ?>">
                        <?php foreach($zoomMeetings['data']['meetings'] as $zoomMeeting) :?>
                            <option value="<?php echo $zoomMeeting['id']; ?>" data-zoom-type="<?php echo $zoomMeeting['type']; ?>" <?php echo (str_replace('_meetings', '', $WooCommerceEventsZoomWebinar) == str_replace('_meetings', '', $zoomMeeting['id']))? 'SELECTED' : '' ?>><?php echo $zoomMeetings['user_count'] > 1 ? $zoomMeeting['host']['first_name'] . ' ' . $zoomMeeting['host']['last_name'] . ' - ' : ''; ?><?php echo $zoomMeeting['topic']; ?> - <?php echo (!empty($zoomMeeting['start_date_display']) && !empty($zoomMeeting['start_time_display'])) ? $zoomMeeting['start_date_display'] . ' ' . $zoomMeeting['start_time_display'] : __('No fixed time', 'woocommerce-events'); ?></option>
                        <?php endforeach; ?>
                        </optgroup>
                    <?php endif; ?>
                </select>
                <?php if($zoomMeetings['status'] == 'success' && $zoomWebinars['status'] == 'success' && empty($zoomMeetings['data']['meetings']) && empty($zoomWebinars['data']['webinars'])) : ?>
                <br /><br />
                <?php _e('No Zoom meetings/webinars found.','woocommerce-events'); ?>
                <br/>
                <br/>
                <a href="https://zoom.us/meeting" target="_blank"><?php _e('Create a Zoom meeting', 'woocommerce-events'); ?></a>
                <br/>
                <a href="https://zoom.us/webinar/list" target="_blank"><?php _e('Create a Zoom webinar', 'woocommerce-events'); ?></a>
                <?php endif; ?>
                <?php if(empty($globalWooCommerceEventsZoomAPIKey) || empty($globalWooCommerceEventsZoomAPISecret)) :?>
                <br /><br />
                <?php _e('The Zoom API Key and API Secret are not set.','woocommerce-events'); ?> <a href="admin.php?page=fooevents-settings&tab=integration"><?php _e('Please check the Event Integration settings.', 'woocommerce-events'); ?></a>
                <?php endif; ?>
            </p> 
            <p class="form-field">
                <label><?php _e('Details:', 'woocommerce-events'); ?></label>
                <span id="WooCommerceEventsZoomWebinarDetails">(<?php _e('Not set', 'woocommerce-events'); ?>)</span>
            </p>
        </div>
        <?php if (is_plugin_active( 'fooevents_multi_day/fooevents-multi-day.php' ) || is_plugin_active_for_network('fooevents_multi_day/fooevents-multi-day.php') ) : ?>
            <div id ="fooevents_zoom_meeting_multi" class="options_group zoom-integration-type-container" data-day-term="<?php echo $dayTerm; ?>">
                <?php
                    for ( $x = 1; $x <= $numDaysValue; $x++ ) {

                        $zoomWebinarMulti = 0;

                        if ( !empty($WooCommerceEventsZoomWebinarMulti) ) {
                            $zoomWebinarMulti = $WooCommerceEventsZoomWebinarMulti[$x - 1];
                        }
                ?>
                    <p class="form-field">
                        <?php if ( $x == 1 ) : ?>
                            <label><?php _e('Link the event to these meetings/webinars:', 'woocommerce-events'); ?></label>
                        <?php endif; ?>
                        <span class="fooevents-zoom-day-override-title"><?php echo $dayTerm; ?> <?php echo $x; ?></span>
                        <select name="WooCommerceEventsZoomWebinarMulti[]" id="WooCommerceEventsZoomWebinarMulti<?php echo $x; ?>" class="WooCommerceEventsZoomSelect fooevents-search-list">
                            <option value="">(<?php _e('Not set', 'woocommerce-events'); ?>)</option>
                            <option value="auto">(<?php _e('Auto-generate', 'woocommerce-events'); ?>)</option>
                            <?php if($zoomWebinars['status'] == 'success' && !empty($zoomWebinars['data']['webinars'])) : ?>
                                <optgroup label="<?php _e('Webinars', 'woocommerce-events'); ?>">
                                <?php foreach($zoomWebinars['data']['webinars'] as $zoomWebinar) :?>
                                    <option value="<?php echo $zoomWebinar['id']; ?>" data-zoom-type="<?php echo $zoomWebinar['type']; ?>" <?php echo (str_replace('_webinars', '', $zoomWebinarMulti) == str_replace('_webinars', '', $zoomWebinar['id']))? 'SELECTED' : '' ?>><?php echo $zoomWebinars['user_count'] > 1 ? $zoomWebinar['host']['first_name'] . ' ' . $zoomWebinar['host']['last_name'] . ' - ' : ''; ?><?php echo $zoomWebinar['topic']; ?> - <?php echo (!empty($zoomWebinar['start_date_display']) && !empty($zoomWebinar['start_time_display'])) ? $zoomWebinar['start_date_display'] . ' ' . $zoomWebinar['start_time_display'] : __('No fixed time', 'woocommerce-events'); ?></option>
                                <?php endforeach; ?>
                                </optgroup>
                            <?php endif; ?>
                            <?php if($zoomMeetings['status'] == 'success' && !empty($zoomMeetings['data']['meetings'])) : ?>
                                <optgroup label="<?php _e('Meetings', 'woocommerce-events'); ?>">
                                <?php foreach($zoomMeetings['data']['meetings'] as $zoomMeeting) :?>
                                    <option value="<?php echo $zoomMeeting['id']; ?>" data-zoom-type="<?php echo $zoomMeeting['type']; ?>" <?php echo (str_replace('_meetings', '', $zoomWebinarMulti) == str_replace('_meetings', '', $zoomMeeting['id']))? 'SELECTED' : '' ?>><?php echo $zoomMeetings['user_count'] > 1 ? $zoomMeeting['host']['first_name'] . ' ' . $zoomMeeting['host']['last_name'] . ' - ' : ''; ?><?php echo $zoomMeeting['topic']; ?> - <?php echo (!empty($zoomMeeting['start_date_display']) && !empty($zoomMeeting['start_time_display'])) ? $zoomMeeting['start_date_display'] . ' ' . $zoomMeeting['start_time_display'] : __('No fixed time', 'woocommerce-events'); ?></option>
                                <?php endforeach; ?>
                                </optgroup>
                            <?php endif; ?>
                        </select>
                        <a href="#" class="fooevents-zoom-show-hide-meeting-details-link" data-meeting="WooCommerceEventsZoomWebinarMulti<?php echo $x; ?>">
                            <span class="toggle-indicator fooevents-zoom-show-hide-meeting-details" aria-hidden="true"></span>
                            <span class="fooevents-zoom-show-hide-meeting-details-link-text"><?php _e('Show details', 'woocommerce-events'); ?></span>
                        </a>
                    </p>
                    <p class="form-field fooevents-zoom-multi-meeting-details">
                        <span class="fooevents-zoom-multi-meeting-details-container" id="WooCommerceEventsZoomWebinarMulti<?php echo $x; ?>Details">(<?php _e('Not set', 'woocommerce-events'); ?>)</span>
                    </p>
                <?php } ?>
            </div>
        <?php endif; ?>
        <?php if (is_plugin_active( 'fooevents_bookings/fooevents-bookings.php' ) || is_plugin_active_for_network('fooevents_bookings/fooevents-bookings.php') ) : ?>
            <div id ="fooevents_zoom_meeting_bookings" class="options_group zoom-integration-type-container">
            <p class="form-field">
                <label><?php _e('Meeting/webinar duration', 'woocommerce-events'); ?></label>
                <select name="WooCommerceEventsZoomDurationHour" id="WooCommerceEventsZoomDurationHour">
                    <?php for($x=0; $x<=23; $x++) :?>
                    <option value="<?php echo $x; ?>" <?php echo((!empty($WooCommerceEventsZoomDurationHour) && $WooCommerceEventsZoomDurationHour == $x) || (empty($WooCommerceEventsZoomDurationHour) && $x == 1))? 'SELECTED' : ''; ?>><?php echo $x; ?></option>
                    <?php endfor; ?>
                </select>
                <span class="fooevents-zoom-duration-label"><?php _e('hours', 'woocommerce-events'); ?></span>
                <select name="WooCommerceEventsZoomDurationMinute" id="WooCommerceEventsZoomDurationMinute">
                    <?php for($x=0; $x<=59; $x++) :?>
                    <option value="<?php echo $x; ?>" <?php echo(!empty($WooCommerceEventsZoomDurationMinute) && $WooCommerceEventsZoomDurationMinute == $x)? 'SELECTED' : ''; ?>><?php echo $x; ?></option>
                    <?php endfor; ?>
                </select>
                <span class="fooevents-zoom-duration-label"><?php _e('minutes', 'woocommerce-events'); ?></span>
                <img src="<?php echo plugins_url(); ?>/woocommerce/assets/images/help.png" class="help_tip" data-tip="<?php _e("Set the duration of Zoom meetings/webinars that get generated automatically for booking date and time slots." , 'woocommerce-events'); ?>" height="16" width="16" />
            </p>
            </div>
        <?php endif; ?>
        <input type="hidden" name="WooCommerceEventsZoomTopic" value="<?php echo esc_attr($WooCommerceEventsZoomTopic); ?>" />
    </div>
</div>

