(function($) {
    
    jQuery(document).ready(function(){
        if (jQuery(".fooevents_seating_chart").length) {

            jQuery(".input-text.qty").hide();

        }

        /* If this is a product page and a product with variations, only show the Choose Seats button if variations are selected */

        if (typeof anyVariations !== 'undefined') {

            if (anyVariations != "none" && jQuery(".variations_form").length > 0 && jQuery(".fooevents_seating_chart").length) {
                jQuery("a.fooevents_seating_chart").hide();
                jQuery(".input-text.qty").show();
                jQuery(".single_add_to_cart_button").prop('disabled', false).removeClass('disabled');
            }

        }

        /* Disable Add to Cart and Select Seats button unless at least one seat is selected */
        if (jQuery(".input-text.qty").val() != undefined && jQuery(".fooevents_seating_chart").length) {

            jQuery(".single_add_to_cart_button").prop('disabled', 'disabled').addClass('disabled');

        }

        
        /* Build seat dropdowns */
            
        jQuery(".seating-class-row").each(function(){
            setOtherDropdowns();
            var eventID = findIDs(jQuery(this));
            buildSeats(jQuery(this), eventID[0], eventID[1].substring(20));
            var currentP = jQuery(this);
            currentP.find("select").change(function () {
                
                if (jQuery(this).attr("data-value") == undefined || jQuery(this).attr("data-value") != jQuery(this).val()) {
                    jQuery(this).attr("data-value",jQuery(this).val());
                    setOtherDropdowns();
                    buildSeats(currentP, eventID[0], eventID[1].substring(20));
                }
            });
        });
      
        jQuery(".seating-class-seat").each(function(){
            var paragraphContainer = jQuery(this);
            var eventID = findIDs(jQuery(this));
            eventID = eventID[0];
            paragraphContainer.find("select").change(function(){

                var changedSelect = jQuery(this);
                
                var alreadySelected = false;

                var selectedSeatVal = jQuery(this).val();
                if (selectedSeatVal == "") {
                    return;
                }
                
                jQuery(".seating-class-seat select").not(this).each(function(){
                
                    var thisEventID = findIDs(jQuery(this).closest(".seating-class-seat"));
                    
                    if (jQuery(this).val() == selectedSeatVal && thisEventID[0] == eventID) {
                        alreadySelected = true;
                    }
                    
                });
                
                if (alreadySelected) {
                    var selectedSeatNumber = changedSelect.find("option").filter(':selected').text();
                    var selectedMessage = jQuery("<p class='woocommerce-error seat_selected_message' style='display:none'>" + localObj.chartSeat + selectedSeatNumber + " " + localObj.chartAlreadySelected + "</p>");
                    paragraphContainer.append(selectedMessage);
                    
                    changedSelect.val("");
                    
                    selectedMessage.slideDown().delay(3000).slideUp(function(){
                        jQuery(this).remove();
                    });
                }  
            });
        
        
        });

        jQuery(".seating-class-seat select").each(function(){
            
            var seatSelectID = jQuery(this).attr("id");
            var eventNr = seatSelectID.substr(22, seatSelectID.lastIndexOf("__")-22);
            var attendeeNr = seatSelectID.substr(seatSelectID.lastIndexOf("__")+2)
            if (typeof selectedSeat[eventNr] !== 'undefined') {
                jQuery(this).val(selectedSeat[eventNr][attendeeNr]);
            }
        });


    });

})(jQuery);

/* Finds the ID of the current event */

function findIDs($element) {
    var theClasses = $element.attr('class').split(" ");
    var i=0;
    var classEventID = 0; 
    var classVariationID = 0; 
    
    while(i < theClasses.length) {
        if(theClasses[i].indexOf('fooevents_event_') == 0) {
            classEventID = theClasses[i];
        }
        if(theClasses[i].indexOf('fooevents_variation_') == 0) {
            classVariationID = theClasses[i];
        }
        i++;
    }
    return [classEventID, classVariationID];
}

/* Finds the ID of the current event/variation on the event page */

function findIDOnEvent() {
    if (jQuery(".variation_id").val() != undefined) {

        var eventID = jQuery(".variation_id").val();

    } else {

        var eventID = jQuery(".single_add_to_cart_button").val();

    }
    return eventID;
}


var currentSelectedRowNameFull = "";
var currentSelectedRowName = "";
var selectedSeatDropdown = "";
var currentSelectedSeat = "";
var numberSeats = 0;
var variation = 0;
var currentSelectedAttendeeSeatID = "";
var optionsToRemove = [];
var selectedSeatsObject = {};


/* Builds seats dropdowns according to the number of seats in the "fooevents_seating_data" variable */

function buildSeats($element, eventID, varID) {
   
    currentSelectedRowNameFull = $element.find("option").filter(':selected').val();
    
    /* Only attempt to build seats if "Select row" is not selected */
    console.log("|"+currentSelectedRowNameFull+"|");
    if (currentSelectedRowNameFull != 0) {
    
        currentSelectedAttendeeSeatID = $element.attr("id");

        numberSeats = fooevents_seating_data[eventID][currentSelectedRowNameFull]["number_seats"];
        
        $element.find("option").each(function(){
            
            var thisOptionVal = jQuery(this).val();

            if (thisOptionVal != 0) {
                variation = fooevents_seating_data[eventID][thisOptionVal]["variation"];
                
                if (variation == "default") variation = 0;
                /* if the current variation has another variation in the array, use that one*/
                
                if (anyVariations[varID] == variation) {
                    $variation = anyVariations[varID];
                }
    
                if (variation != varID && variation != 0) {
                    if (anyVariations[varID] != variation) {
                        jQuery("#" + currentSelectedAttendeeSeatID).change();
                        jQuery("#" + currentSelectedAttendeeSeatID + " option[value='" + thisOptionVal + "']").remove();
                        currentSelectedRowNameFull = $element.find("option").filter(':selected').val();
                    }
                }
            }

        
        });
    }
    
    if (currentSelectedRowNameFull != undefined) {
        currentSelectedRowName = currentSelectedRowNameFull.substring(0, currentSelectedRowNameFull.indexOf("_row_name"));
        currentSelectedSeatDropdown = $element.next(".seating-class-seat").find("select");
        currentSelectedSeatDropdown.html("<option value=''>" + localObj.chartSelectSeat + "</option>");
    
        if (currentSelectedRowNameFull != 0) {
            numberSeats = fooevents_seating_data[eventID][currentSelectedRowNameFull]["number_seats"];
            var atLeastOneSeat = false;

        
            for (var i = 1; i <= numberSeats; i++) {
                var seatValueToAdd = currentSelectedRowName + '_number_seats_' + i;
                if(((jQuery.inArray(seatValueToAdd, fooevents_seats_unavailable[eventID]) === -1) && (jQuery.inArray(seatValueToAdd, fooevents_seats_blocked[eventID]) === -1))) {
                    if (typeof selectedSeat != undefined && selectedSeat == seatValueToAdd) {

                        currentSelectedSeatDropdown.append('<option selected value="' + seatValueToAdd + '">' + i + '</option>');

                    } else {

                        currentSelectedSeatDropdown.append('<option value="' + seatValueToAdd + '">' + i + '</option>');

                    }

                    
                    atLeastOneSeat = true;
                }
            }

            if (!atLeastOneSeat) {
                currentSelectedSeatDropdown.html('<option value="">' + localObj.chartNoSeatsAvailable + '</option>');
                currentSelectedSeatDropdown.closest("select").prop('disabled', 'disabled');  
            } else {
                currentSelectedSeatDropdown.closest("select").prop('disabled', false);  
            }
            currentSelectedSeat = $element.next(".seating-class-seat").find("option").filter(':selected').val();
            currentSelectedSeat = currentSelectedSeat.substring(currentSelectedSeat.indexOf("number_seats_"));
        }
    }
    
}

/* Builds the seat dropdowns for all other dropdowns that are not currently selected */

function setOtherDropdowns() {
  var thisSelectedSeat = "";
    jQuery(".seating-class-row").each(function(){
        var thisSelectedAttendeeSeatID = jQuery(this).attr("id");
        if (thisSelectedAttendeeSeatID != currentSelectedAttendeeSeatID) {
            var thisSelectedRowName = jQuery(this).find("option").filter(':selected').val();
            if (thisSelectedRowName == currentSelectedRowNameFull) {
                
                thisSelectedSeat = jQuery(this).next(".seating-class-seat").find("option").filter(':selected').val();
                if (thisSelectedSeat != "") {
                    if(jQuery.inArray(thisSelectedSeat, optionsToRemove) === -1) {
                        optionsToRemove.push(thisSelectedSeat);
                    }
                }
            }
        }
    });    
}

/* Listen for variation changes on the event screen so that Choose Seats button can display or be hidden - no button if there are no seats set for that variation */

jQuery( ".single_variation_wrap" ).on( "hide_variation", function ( event, variation ) {
   
    jQuery("a.fooevents_seating_chart").hide();
    jQuery(".input-text.qty").show();
    jQuery(".single_add_to_cart_button").prop('disabled', false).removeClass('disabled');

});

function seatsShowVariation() {

    /* Check to see if there are seats set up for this variation */
    var eventID = jQuery("input[name=product_id]").val();
    var currentVariationOnEvent = jQuery(".variation_id").val();
    var chooseSeatsShouldShow = false;

    if (typeof fooevents_seats_options_serialized !== 'undefined') {
        jQuery.each(fooevents_seats_options_serialized[eventID], function(unusedKey, value) {

            var keys = Object.keys(value);
    
            if (currentVariationOnEvent == value[keys[2]] || value[keys[2]] == "default") {
                chooseSeatsShouldShow = true;
            }
    
        } );
    }

    if (chooseSeatsShouldShow) {

        jQuery(".single_add_to_cart_button").prop('disabled', true).addClass('disabled');
        jQuery("a.fooevents_seating_chart").show();
        jQuery(".input-text.qty").hide();
        

    } else {

        jQuery("a.fooevents_seating_chart").hide();
        jQuery(".input-text.qty").show();
        jQuery(".single_add_to_cart_button").prop('disabled', false).removeClass('disabled');

    }

}

jQuery( ".single_variation_wrap" ).on( "show_variation", function ( event, variation ) {
   
    setTimeout(function(){
        seatsShowVariation();
    }, 100);

} );


    

jQuery('.fooevents_seating_chart').on('click', function(){

    var seatingChartButton = jQuery(this);
    var currentSelect = seatingChartButton.prev().attr("id");
    var currentVariationOnEvent = "0";

    if (anyVariations[0] == "all") {
            
        currentVariationOnEvent = jQuery(".variation_id").val();

    }

    var currentVariation = jQuery(this).attr("name");
    var viewportWidth = window.innerWidth-20;
    var viewportHeight = window.innerHeight-20;
    if (viewportWidth > 1000) viewportWidth = 1000;
    if (viewportHeight > 500) viewportHeight = 500;

    jQuery("#fooevents_seating_dialog").html("");
    
    var rowName = "";
    var rowID = "";
    var eventID = jQuery(this).attr("id").substring(19);
    var numberSeats = 0;
    var seats = "";
    var unavailableSeats = "";
    var blockedSeats = "";
    var currentRow = "";
    var seatClass = "available";
    var otherSeatsSelected = [];

    if (seatColor == "#")
        seatColor = "#549E39";
    
    seatColorStyleAvailable = " style='background-color:" + seatColor + "'";
    
    if (seatColorSelected == "#")    
        seatColorSelected = "#be3737";
    
    seatColorStyleSelected = " style='background-color:" + seatColorSelected + "'";
 
    if (seatColorUnavailableSelected == "#")
        seatColorUnavailableSelected = "#be7337";

    seatColorStyleUnavailableSelected = " style='background-color:" + seatColorUnavailableSelected + "'";
  
    var seatColorStyle = seatColorStyleAvailable;
      
    /* Check the seats selected in the other dropdowns */

    jQuery(".seating-class-seat").each(function(){
        /* Get currentSelect's event ID */
        var currentEventID = findIDs(seatingChartButton.prev());
        currentEventID = currentEventID[0]; 
        
        /* Check all other dropdowns regardless of event ID */
        if (jQuery(this).attr("id") != currentSelect) {
            var innerEventID = findIDs(jQuery(this));  
            innerEventID = innerEventID[0];        
     
            if (currentEventID == innerEventID && jQuery(this).find("select").val() != "") {
                otherSeatsSelected.push(jQuery(this).find("select").val());
            }
        }
          
    });

    if (jQuery(".input-text.qty").val() != undefined ) {

        var attendeeLabel = localObj.chartSelectedForAttendee;

    } else {

        var attendeeLabel = localObj.chartThisSelected;

    }
  
    jQuery("#fooevents_seating_dialog").append("<div class='fooevents_seating_chart_legend'><div id='fooevents_seating_available'" + seatColorStyleAvailable + "></div> " + localObj.chartAvailable + "<div id='fooevents_seating_unavailable'></div> " + localObj.chartBooked + "<div id='fooevents_seating_blocked'></div> " + localObj.chartBlocked + "<div id='fooevents_seating_unavailable_selected'" + seatColorStyleUnavailableSelected + "></div> " + localObj.chartDifferentSelected + "<div id='fooevents_seating_selected'" + seatColorStyleSelected + "></div> " + attendeeLabel + "</div>");    
    jQuery("#fooevents_seating_dialog").append("<div class='fooevents_seating_chart_front'>" + localObj.chartFront + "</div>");    

    var seatContainer = jQuery("<div class='seat_container' />");

    jQuery.each(fooevents_seats_options_serialized[eventID], function(unusedKey, value) {

        var keys = Object.keys(value);
      
        currentVariationID = currentVariation.substr(20);
        
        if ((currentVariation == "fooevents_variation_" + value[keys[2]]) || (value[keys[2]] == "default") || (anyVariations[currentVariationID] == value[keys[2]]) || currentVariationOnEvent == value[keys[2]]) {
            
            var rowContainer = jQuery("<div id='fooevents_variation_" + value[keys[2]] + "' class='row_container row_container_event_" + eventID + "' />");
            
            /* First element */
            rowID = keys[0];
            rowName = value[keys[0]];

            /* Second element */
            numberSeats = value[keys[1]];
            rowContainer.append("<div class='fooevents_seating_chart_view_row_name' id='" + rowID + "'>" + rowName + "</div>");
            seats = jQuery('<div>', { 'class': 'fooevents_seating_chart_view_row fooevents_seating_chart_view_row_checkout' });
            if (typeof fooevents_seats_unavailable_serialized[eventID] != undefined) {
                unavailableSeats = JSON.stringify(fooevents_seats_unavailable_serialized[eventID]);
            } else {
                unavailableSeats = JSON.stringify(fooevents_seats_unavailable_serialized);
            }

            if (typeof fooevents_seats_blocked_serialized[eventID] != undefined) {
                blockedSeats = JSON.stringify(fooevents_seats_blocked_serialized[eventID]);
            } else {
                blockedSeats = JSON.stringify(fooevents_seats_blocked_serialized);
            }

            if (typeof fooevents_seats_aisles_serialized[eventID] != undefined) {
                aisleSeats = JSON.stringify(fooevents_seats_aisles_serialized[eventID]);
            } else {
                aisleSeats = JSON.stringify(fooevents_seats_aisles_serialized);
            }

            currentRow = rowID.substr(0, rowID.indexOf("_row_name")) + "_number_seats_";
       
            for(var i = 1; i <= numberSeats; i++) {
                
                if ((unavailableSeats !== undefined) && (unavailableSeats.indexOf(currentRow + i + '"') > -1)) {
                    
                    seatClass = "unavailable";
                    seatColorStyle = "";
                }

                if ((blockedSeats !== undefined) && (blockedSeats.indexOf(currentRow + i + '"') > -1)) {
                    
                    seatClass = "blocked";
                    seatColorStyle = "";
                }

                if ((otherSeatsSelected !== undefined) && (jQuery.inArray(currentRow + i, otherSeatsSelected) > -1)) {
                    seatClass = "unavailable_selected";
                    seatColorStyle = seatColorStyleUnavailableSelected;
                }

                if ((aisleSeats !== undefined) && (aisleSeats.indexOf(currentRow + i + '"') > -1)) {
                    
                    seatClass += " aisle";
                }

                jQuery(seats).append("<span name='" + rowID.replace("_row_name", "") + "_number_seats_" + i + "'" + seatColorStyle + " class='" + seatClass + "'>" + i + "</span>");
                seatClass = "available";
               
                seatColorStyle = seatColorStyleAvailable;
        
            }

            rowContainer.append(seats);
            seatContainer.append(rowContainer);
        }

    });

    jQuery("#fooevents_seating_dialog").append(seatContainer);

    if (selectedSeatsObject[findIDOnEvent()] != undefined) {

        selectedSeats = selectedSeatsObject[findIDOnEvent()];
    
    } else {

        selectedSeats = [];

    }

    if (jQuery(".input-text.qty").val() != undefined &&  jQuery(".input-text.qty").val() > 0) {

        jQuery("#fooevents_seating_dialog").append("<button id='fooevents_seating_select_seats' class='button'>" + localObj.chartSelectSeats + " (" + selectedSeats.length + ")</button>");

    } else {

        jQuery("#fooevents_seating_dialog").append("<button id='fooevents_seating_select_seats' class='button'>" + localObj.chartSelectSeat + "</button>");

    }
    

    jQuery(".input-text.qty").on('change', function(){

        selectedSeatsObject[findIDOnEvent()] = [];

    });

    jQuery("#fooevents_seating_select_seats").on('click', function(){

        jQuery(this).closest('.ui-dialog-content').dialog('close'); 
    
    });
    
    if( jQuery("#fooevents_seating_dialog").is(':empty') ) {
        jQuery("#fooevents_seating_dialog").append("<div style='margin-top:20px'>" + localObj.chartNoSeatsToShow + "</div>");
    }
    
    jQuery("#fooevents_seating_dialog").dialog({
        width: "100%",
        maxWidth: "768px",
        height: "auto",
        maxHeight: "768px",
        show: {
            effect: "drop",
            direction: "up",
            duration: 1000
        },
     
        open: function () {
            var thisDialog = jQuery(this);
            var attendeeCounter = 1;
            var productID = 0;
            var qtyOnEvent = 0;
            var selectedSeats = [];
            var quantityNr = jQuery(".input-text.qty").val();

            

            /* If qtyOnEvent is 1 or more then this is the product page, otherwise it is the Checkout page */

            if (jQuery(".input-text.qty").val() != undefined ) {
                qtyOnEvent = jQuery(".input-text.qty").val();
                jQuery("#fooevents_seating_unavailable_selected").get(0).nextSibling.remove();
                jQuery("#fooevents_seating_unavailable_selected").remove();

                if (jQuery(".variation_id").val() != undefined) {

                    productID = jQuery(".variation_id").val();
    
                } else {
    
                    productID = jQuery(".single_add_to_cart_button").val();
    
                }
            }
            
            if (selectedSeatsObject[productID] != undefined) {

                selectedSeats = selectedSeatsObject[productID];

            }
            
            thisDialog.find('span[name="' + seatingChartButton.prev().find("select").val() + '"]').addClass("selected").css("backgroundColor", seatColorSelected);

            /* See if seats were selected before on this page and select them */
            
            if (selectedSeats.length > 0) {

                jQuery("#fooevents_seating_select_seats").prop('disabled', false).removeClass("disabled");

            }
            if (qtyOnEvent > 0) {
                for (var i = 0; i < selectedSeats.length; i++) {

                    jQuery("span[name='" + selectedSeats[i] + "']").css("backgroundColor", seatColorSelected).addClass("selected");

                }
                
            }
          
            /* Making seats selectable */
            thisDialog.find(".available").on('click', function(){

                if (!jQuery(this).hasClass("selected")) {

                    /* If qtyOnEvent is 1 or more then this is the product page, otherwise it is the Checkout page */
                
                    if (qtyOnEvent == 0) {

                        thisDialog.find(".available").removeClass("selected").css("backgroundColor", seatColor);
                        jQuery(this).addClass("selected");
                        jQuery(this).css("backgroundColor", seatColorSelected);
                        seatingChartButton.prev().prev().find("select").val(jQuery(this).parent().prev().attr("id"));
                        seatingChartButton.prev().prev().find("select").change();
                        seatingChartButton.prev().find("select").val(jQuery(this).attr("name"));

                    } else {

                    /* If seats are selected, update the quantity picker */

                        if (selectedSeats.length >= quantityNr) {

                            quantityNr++;
                            jQuery(".input-text.qty").val(quantityNr);    

                        }
                
                        selectedSeats.push(jQuery(this).attr("name"));
                        
                        selectedSeatsObject[productID] = selectedSeats;
                        
                        jQuery(this).css("backgroundColor", seatColorSelected).addClass("selected");
                            

                    }

                } else {
                    
                    if (quantityNr > 1) {

                        quantityNr--;
                        jQuery(".input-text.qty").val(quantityNr);

                    }

                    selectedSeats.splice( jQuery.inArray(jQuery(this).attr("name"), selectedSeats), 1 );
                    
                    jQuery(this).css("backgroundColor", seatColorSelected).removeClass("selected").css("backgroundColor", seatColor);
                    
                }

                if (jQuery(".input-text.qty").val() != undefined && jQuery(".input-text.qty").val() > 0) {

                    jQuery("#fooevents_seating_select_seats").html(localObj.chartSelectSeats + " (" + selectedSeats.length + ")</button>");
                    jQuery(".fooevents_seating_chart span").html("(" + selectedSeats.length + ")</button>");
            
                } else {
            
                    jQuery("#fooevents_seating_select_seats").html(localObj.chartSelectSeat + "</button>");
            
                }

                /* Disable Add to Cart and Select Seats buttons if 0 seats are selected, otherwise enable */
                
                if (jQuery(".input-text.qty").val() != undefined) {
                    if (selectedSeats.length > 0) {

                        jQuery(".single_add_to_cart_button").prop('disabled', false).removeClass('disabled');
                        jQuery("#fooevents_seating_select_seats").prop('disabled', false).removeClass("disabled");

                    } else {

                        jQuery(".single_add_to_cart_button").prop('disabled', 'disabled').addClass('disabled'); 
                        jQuery("#fooevents_seating_select_seats").prop('disabled', 'disabled').addClass("disabled");

                    }
                }
                
            });

        },
      
    });
    
});


/* Stop add to cart from sending details through, if seats were not selected */

(function ($) {
    
    jQuery(document).on( 'click', '.single_add_to_cart_button', function(e) {
        
        /* Stop add to cart and show seating chart if selectedSeatsObject is empty, fewer seats than the quantity is selected or no seating chart button is visible */
        
        if ((selectedSeatsObject[findIDOnEvent()] == undefined || selectedSeatsObject[findIDOnEvent()].length == 0) && jQuery("a.fooevents_seating_chart").is(':visible')) {

            e.preventDefault();
            jQuery('.fooevents_seating_chart').trigger('click');

        } else {

            jQuery("#fooevents_seats__trans").val(selectedSeatsObject[findIDOnEvent()]);

        }
    });

})(jQuery);